Bug 731720 - RFE: request for an API to provide release/variant information.
Summary: RFE: request for an API to provide release/variant information.
Keywords:
Status: CLOSED EOL
Alias: None
Product: Red Hat Network
Classification: Red Hat
Component: RHN/API
Version: RHN Stable
Hardware: All
OS: All
high
high
Target Milestone: ---
Assignee: rhn-dev-list
QA Contact: Red Hat Network Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-18 13:16 UTC by Prasad J Pandit
Modified: 2017-07-05 15:15 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Prasad J Pandit 2011-08-18 13:16:31 UTC
We @TeamSWCERT, maintain an ABI database for RH products and releases. The total coverage of the same could be seen

 here -> http://stage.swcert.lab.eng.pnq.redhat.com:8080

We are looking for a way to map this existing ABI + Package data with the *appropriate* release/variants and their associated channels.

For this purpose, it'll be *helpful* if RHN could provide an API wherein one could pass a full package name like

 - glibc-2.12-1.7.el6.x86_64.rpm
 OR
 - bash-4.1.2-3.el6.x86_64.rpm.

as a parameter and the API returns all the Releases, Variants and Channels the package belongs to.

It need not be a single API(call), but could as well be a series of calls.

Thank you.
===
Sebastian> if there's a need for that - for example if we're rolling out an internal (or even external) app that needs this information, then file an RFE stating the business case
<pjp> Sebastian: ah sure, I'll can do that
<pjp> Sebastian: where do I file the RFE, bugzilla?
<Sebastian> yes, bugzilla

Comment 1 Amanda Carter 2011-08-23 19:25:13 UTC
I understand from Dennis Gregorovic that he's been working with your team and put this together:

https://home.corp.redhat.com/wiki/finding-released-content

He said that he believes you may have what you need at this time. If this is not sufficient, please let me know and provide details about exactly what you need so that we can make sure we're pointing you in the right direction.

Comment 2 Prasad J Pandit 2011-08-24 05:39:24 UTC
Yes, I'll try to work with the available APIs first and if need be, come back with appropriate inputs.

Thank you.

Comment 3 Prasad J Pandit 2011-08-31 08:24:16 UTC
Hi,

I've been going through the current RHN APIs listed

at: https://access.redhat.com/knowledge/docs/Red_Hat_Network/API_Documentation

and I think we could readily use the following ones

  packages.getDetails()
  packages.listProvidingChannels()
  packages.listProvidingErrata()

But, these don't address all of our needs. It'll be immensely helpful if you could provide APIs like

=======
API-1

 release = get_package_release(package_name)

where release is product like: RHEL-5.1/RHEL-6.0/RHEV-3.0/DirectoryServer etc.

 release = get_package_release('bash-3.0-19.6.i386.rpm')
 release = RHEL-4.6

 release = get_package_release('bash-4.1.2-3.el6.x86_64.rpm')
 release = RHEL-6.0

Please note the individual versions 4.6 and 6.0, instead of just RHEL-4 or RHEL-6 which include package from all the available versions.

=======
API-2

 variants = get_package_variant(package_name, release)

where variants are the ones available for that release,

 variants = get_package_variant('bash-3.0-19.6.i386.rpm', 'RHEL-4.6')
 variants = ['AS', 'ES', 'WS']

 variant = get_package_variant('bash-4.1.2-3.el6.x86_64.rpm', 'RHEL-6.0')
 variant = ['Client', 'Server', 'Workstation', ...]

=======
API-3

  pkg = package.getDetails(package_name)
  pkg = package.getDetails('bash-3.0-19.6.i386.rpm')

pkg is exactly same as the one returned by existing getDetails(package_id) call.

=======
API-4

  pkgurls = get_package_urls(package_name/package_id)
  pkgurls = ['http://URL-to-RPM',
             'http://URL-to-SPRM',
             'http://URL-to-Debuginfo-RPM']


I hope that helps.

Thank you.

Comment 4 Thomas "Shea" DeAntonio 2017-07-05 15:15:05 UTC
As you may already be aware, Red Hat is transitioning from the Red Hat Network (RHN) hosted interface to the Red Hat Subscription Management (RHSM) interface in July 2017. Red Hat has invested in and seen success from RHN for many years, and used that experience to build more robust technologies like RHSM. 
 
If you have not yet migrated your RHN systems to RHSM or you are a Red Hat Satellite customer, please review the information from. https://access.redhat.com/products/red-hat-subscription-management#migration. 
 
Since we are shutting down RHN, no further actions will be taken with this bug or enhancement request.  You can find additional information at RHSM product page (https://access.redhat.com/products/red-hat-subscription-management).  If you have further questions, please contact support (https://access.redhat.com/products/red-hat-subscription-management#support).

Comment 5 Thomas "Shea" DeAntonio 2017-07-05 15:15:17 UTC
As you may already be aware, Red Hat is transitioning from the Red Hat Network (RHN) hosted interface to the Red Hat Subscription Management (RHSM) interface in July 2017. Red Hat has invested in and seen success from RHN for many years, and used that experience to build more robust technologies like RHSM. 
 
If you have not yet migrated your RHN systems to RHSM or you are a Red Hat Satellite customer, please review the information from. https://access.redhat.com/products/red-hat-subscription-management#migration. 
 
Since we are shutting down RHN, no further actions will be taken with this bug or enhancement request.  You can find additional information at RHSM product page (https://access.redhat.com/products/red-hat-subscription-management).  If you have further questions, please contact support (https://access.redhat.com/products/red-hat-subscription-management#support).


Note You need to log in before you can comment on or make changes to this bug.